Conversations
Conversations Filter
Filter conversations with custom filter options and pagination
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
filter
Conversations Filter
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/conversations/filter \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"payload": [
{
"attribute_key": "browser_language",
"filter_operator": "not_equal_to",
"values": [
"en"
],
"query_operator": "AND"
},
{
"attribute_key": "status",
"filter_operator": "equal_to",
"values": [
"pending"
],
"query_operator": null
}
]
}
'{
"data": {
"meta": {
"mine_count": 123,
"unassigned_count": 123,
"assigned_count": 123,
"all_count": 123
},
"payload": [
{
"id": 123,
"messages": [
{
"id": 123,
"content": "<string>",
"account_id": 123,
"inbox_id": 123,
"conversation_id": 123,
"created_at": 123,
"updated_at": 123,
"private": true,
"source_id": "<string>",
"content_attributes": {},
"sender_id": 123,
"external_source_ids": {},
"additional_attributes": {},
"processed_message_content": "<string>",
"sentiment": {},
"conversation": {},
"attachment": {},
"sender": {}
}
],
"account_id": 123,
"uuid": "<string>",
"additional_attributes": {},
"agent_last_seen_at": 123,
"assignee_last_seen_at": 123,
"can_reply": true,
"contact_last_seen_at": 123,
"custom_attributes": {},
"inbox_id": 123,
"labels": [
"<string>"
],
"muted": true,
"snoozed_until": 123,
"created_at": 123,
"updated_at": 123,
"timestamp": 123,
"first_reply_created_at": 123,
"unread_count": 123,
"last_non_activity_message": {
"id": 123,
"content": "<string>",
"account_id": 123,
"inbox_id": 123,
"conversation_id": 123,
"created_at": 123,
"updated_at": 123,
"private": true,
"source_id": "<string>",
"content_attributes": {},
"sender_id": 123,
"external_source_ids": {},
"additional_attributes": {},
"processed_message_content": "<string>",
"sentiment": {},
"conversation": {},
"attachment": {},
"sender": {}
},
"last_activity_at": 123,
"priority": "<string>",
"waiting_since": 123,
"sla_policy_id": 123,
"applied_sla": {},
"sla_events": [
{}
],
"meta": {
"sender": {
"additional_attributes": {},
"availability_status": "<string>",
"email": "<string>",
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"blocked": true,
"identifier": "<string>",
"thumbnail": "<string>",
"custom_attributes": {},
"last_activity_at": 123,
"created_at": 123
},
"channel": "<string>",
"assignee": {
"id": 123,
"access_token": "<string>",
"account_id": 123,
"available_name": "<string>",
"avatar_url": "<string>",
"confirmed": true,
"display_name": "<string>",
"message_signature": "<string>",
"email": "<string>",
"hmac_identifier": "<string>",
"inviter_id": 123,
"name": "<string>",
"provider": "<string>",
"pubsub_token": "<string>",
"ui_settings": {},
"uid": "<string>",
"type": "<string>",
"custom_attributes": {},
"accounts": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"active_at": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"availability": "<string>",
"availability_status": "<string>",
"auto_offline": true,
"custom_role_id": 123,
"custom_role": {}
}
]
},
"hmac_verified": true
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
Body
application/json
Show child attributes
Show child attributes
Example:
[
{
"attribute_key": "browser_language",
"filter_operator": "not_equal_to",
"values": ["en"],
"query_operator": "AND"
},
{
"attribute_key": "status",
"filter_operator": "equal_to",
"values": ["pending"],
"query_operator": null
}
]Response
Success
Show child attributes
Show child attributes
Previous
Conversation DetailsGet all details regarding a conversation with all messages in the conversation
Next
⌘I
Conversations Filter
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/conversations/filter \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"payload": [
{
"attribute_key": "browser_language",
"filter_operator": "not_equal_to",
"values": [
"en"
],
"query_operator": "AND"
},
{
"attribute_key": "status",
"filter_operator": "equal_to",
"values": [
"pending"
],
"query_operator": null
}
]
}
'{
"data": {
"meta": {
"mine_count": 123,
"unassigned_count": 123,
"assigned_count": 123,
"all_count": 123
},
"payload": [
{
"id": 123,
"messages": [
{
"id": 123,
"content": "<string>",
"account_id": 123,
"inbox_id": 123,
"conversation_id": 123,
"created_at": 123,
"updated_at": 123,
"private": true,
"source_id": "<string>",
"content_attributes": {},
"sender_id": 123,
"external_source_ids": {},
"additional_attributes": {},
"processed_message_content": "<string>",
"sentiment": {},
"conversation": {},
"attachment": {},
"sender": {}
}
],
"account_id": 123,
"uuid": "<string>",
"additional_attributes": {},
"agent_last_seen_at": 123,
"assignee_last_seen_at": 123,
"can_reply": true,
"contact_last_seen_at": 123,
"custom_attributes": {},
"inbox_id": 123,
"labels": [
"<string>"
],
"muted": true,
"snoozed_until": 123,
"created_at": 123,
"updated_at": 123,
"timestamp": 123,
"first_reply_created_at": 123,
"unread_count": 123,
"last_non_activity_message": {
"id": 123,
"content": "<string>",
"account_id": 123,
"inbox_id": 123,
"conversation_id": 123,
"created_at": 123,
"updated_at": 123,
"private": true,
"source_id": "<string>",
"content_attributes": {},
"sender_id": 123,
"external_source_ids": {},
"additional_attributes": {},
"processed_message_content": "<string>",
"sentiment": {},
"conversation": {},
"attachment": {},
"sender": {}
},
"last_activity_at": 123,
"priority": "<string>",
"waiting_since": 123,
"sla_policy_id": 123,
"applied_sla": {},
"sla_events": [
{}
],
"meta": {
"sender": {
"additional_attributes": {},
"availability_status": "<string>",
"email": "<string>",
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"blocked": true,
"identifier": "<string>",
"thumbnail": "<string>",
"custom_attributes": {},
"last_activity_at": 123,
"created_at": 123
},
"channel": "<string>",
"assignee": {
"id": 123,
"access_token": "<string>",
"account_id": 123,
"available_name": "<string>",
"avatar_url": "<string>",
"confirmed": true,
"display_name": "<string>",
"message_signature": "<string>",
"email": "<string>",
"hmac_identifier": "<string>",
"inviter_id": 123,
"name": "<string>",
"provider": "<string>",
"pubsub_token": "<string>",
"ui_settings": {},
"uid": "<string>",
"type": "<string>",
"custom_attributes": {},
"accounts": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"active_at": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"availability": "<string>",
"availability_status": "<string>",
"auto_offline": true,
"custom_role_id": 123,
"custom_role": {}
}
]
},
"hmac_verified": true
}
}
]
}
}
